be.fgov.ehealth.dics.protocol.v5

## Class ConsultCompoundingFormulaType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultCompoundingFormulaType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultCompoundingFormulaType
      extends Object
      implements Serializable

  Java class for ConsultCompoundingFormulaType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultCompoundingFormulaType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Synonym" type="{urn:be:fgov:ehealth:dics:protocol:v5}SynonymType" maxOccurs="unbounded"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="CodeType" type="{http://www.w3.org/2001/XMLSchema}string" default="CNK" />
             <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultCompoundingFormulaType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getCodeType()` Gets the value of the codeType property.
    `String` | `getProductId()` Gets the value of the productId property.
    `List<SynonymType>` | `getSynonyms()` Gets the value of the synonyms property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setCodeType(String value)` Sets the value of the codeType property.
    `void` | `setProductId(String value)` Sets the value of the productId property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultCompoundingFormulaType

          public ConsultCompoundingFormulaType()

  - ### Method Detail

    - #### getSynonyms

          public List<SynonymType> getSynonyms()

      Gets the value of the synonyms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synonyms property.

      For example, to add a new item, do as follows:

              getSynonyms().add(newItem);

      Objects of the following type(s) are allowed in the list `SynonymType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeType

          public String getCodeType()

      Gets the value of the codeType property.
      Returns:
        possible object is `String`

    - #### setCodeType

          public void setCodeType(String value)

      Sets the value of the codeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProductId

          public String getProductId()

      Gets the value of the productId property.
      Returns:
        possible object is `String`

    - #### setProductId

          public void setProductId(String value)

      Sets the value of the productId property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.